## firefox 146.0.1

=== debian/changelog ===
firefox (146.0.1-1+quickjs) unstable; urgency=medium

  * Add SPARC fixes and workarounds
    - Bug1716707.patch
    - Bug1888396.patch
    - Bug2007847.patch
    - SPARC-table-titles-fading.patch
    - firefox-53-sparc-gfx-atomicops.patch
    - firefox-quickjs.patch
    - protobuf-no-musttail.patch
    - sparc-no-musttail.patch

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 02 Jan 2026 22:28:38 +0100

firefox (146.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Fixes for mfsa2025-98, also known as:
    CVE-2025-14860, CVE-2025-14861.

 -- Mike Hommey <glandium@debian.org>  Fri, 19 Dec 2025 07:22:24 +0900

=== debian/rules ===
#!/usr/bin/make -f
TESTDIR = $(shell dh_testdir || echo no)
ifeq (,$(TESTDIR))
include debian/make.mk
# Use dpkg-buildflags to get build flags, but exclude -g, that is dealt with
# via configure options.
dpkg_buildflags = $(and $(1),$(shell DEB_CFLAGS_MAINT_STRIP="-g" DEB_CXXFLAGS_MAINT_STRIP="-g" dpkg-buildflags --get $(1)))
$(call lazy,CFLAGS,$$(call dpkg_buildflags,CFLAGS))
$(call lazy,CXXFLAGS,$$(call dpkg_buildflags,CXXFLAGS))
$(call lazy,CPPFLAGS,$$(call dpkg_buildflags,CPPFLAGS))
$(call lazy,LDFLAGS,$$(call dpkg_buildflags,LDFLAGS))

$(call lazy,DEB_HOST_GNU_TYPE,$$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE))
$(call lazy,DEB_BUILD_GNU_TYPE,$$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE))
$(call lazy,DEB_BUILD_ARCH_BITS,$$(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS))
$(call lazy,DEB_BUILD_ARCH,$$(shell dpkg-architecture -qDEB_BUILD_ARCH))
$(call lazy,DEB_HOST_ARCH,$$(shell dpkg-architecture -qDEB_HOST_ARCH))
$(call lazy,DEB_HOST_ARCH_ENDIAN,$$(shell dpkg-architecture -qDEB_HOST_ARCH_ENDIAN))

PYTHON := PYTHONDONTWRITEBYTECODE=y python3

PRODUCT := browser
include debian/upstream.mk
include /usr/share/dpkg/buildopts.mk

SYSTEM_LIBS = zlib ffi libevent
ifeq (,$(filter bullseye,$(DIST)))
SYSTEM_LIBS += nspr vpx
endif
ifeq (,$(filter bullseye bookworm trixie,$(DIST)))
SYSTEM_LIBS += nss
endif

define system_lib
USE_SYSTEM_$(1) ?= 1
SYSTEM_LIBS_VARS += $$(if $$(USE_SYSTEM_$(1)),USE_SYSTEM_$(1))
endef
$(foreach lib,$(sort $(call uc,$(SYSTEM_LIBS))),$(eval $(call system_lib,$(lib))))

OFFICIAL_BRANDING := browser/branding/official
MOZILLA_OFFICIAL := 1
# ESR, Beta and Releases use the official branding
ifneq (,$(filter release beta esr%,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= $(OFFICIAL_BRANDING)
else
ifneq (,$(filter aurora,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= browser/branding/aurora
else
ifneq (,$(filter central,$(SHORT_SOURCE_CHANNEL)))
BRANDING ?= browser/branding/nightly
else
$(error $(PRODUCT_NAME) branding for $(SOURCE_CHANNEL) is unsupported)
endif
endif
endif

COMMON_CONFIGURE_FLAGS += --target=$(DEB_HOST_GNU_TYPE)
COMMON_CONFIGURE_FLAGS += --host=$(DEB_BUILD_GNU_TYPE)
COMMON_CONFIGURE_FLAGS += --prefix=/usr
COMMON_CONFIGURE_FLAGS += --enable-project=$(PRODUCT)

COMMON_CONFIGURE_FLAGS += $(if $(filter $(BRANDING),$(OFFICIAL_BRANDING)),--enable-official-branding,--with-branding=$(BRANDING))

# Define PRODUCT, product and Product variables (replacing product with the
# actual value of $(PRODUCT))
$(PRODUCT) := $(call lc,$(PRODUCT_NAME))
uc_first = $(strip $(eval __tmp := $(1))$(foreach l,$(letters),$(eval __tmp := $(subst $(l),$(l) ,$(__tmp))))$(call uc,$(firstword $(__tmp)))$(1:$(firstword $(__tmp))%=%))
DISPLAY_NAME := $(call uc_first,$(PRODUCT_DOWNLOAD_NAME))$(if $(filter %-esr,$(PRODUCT_NAME)), ESR)
$(call uc,$(PRODUCT)) := $(call uc,$($(PRODUCT)))
Product := $(call uc_first,$(PRODUCT))
$(Product) := $(DISPLAY_NAME)

export MOZ_APP_REMOTINGNAME := $($(PRODUCT))

LIB_DIR := /usr/lib/$($(PRODUCT))
SHARE_DIR := /usr/share/$($(PRODUCT))

# Work around https://github.com/rust-lang/cargo/issues/7147
export CARGO_HOME=$(CURDIR)/debian/.cargo

export MOZBUILD_STATE_PATH = $(CURDIR)/debian/.mozbuild

LDFLAGS += -Wl,--as-needed

# Disable debug symbols when building on 32-bits machines, because
# a) the rust compiler can't deal with it in the available address
# space, and b) the linker can't deal with it in the available address space
# either.
ifneq (64,$(DEB_BUILD_ARCH_BITS))
	CONFIGURE_FLAGS += --disable-debug-symbols
endif
# Also disable them on riscv64, because linking takes so long that buildds
# kill the build after 420 minutes of "inactivity".
ifeq (riscv64,$(DEB_BUILD_ARCH))
	CONFIGURE_FLAGS += --disable-debug-symbols
endif

CONFIGURE_FLAGS += --enable-update-channel=$(CHANNEL)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --disable-optimize
endif

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
	CONFIGURE_FLAGS += --enable-debug
endif
ifneq (,$(filter armel armhf arm64 riscv64,$(DEB_HOST_ARCH)))
	MOZ_ENABLE_V4L2 = 1
endif
ifneq (,$(filter i386 amd64 armel armhf arm64,$(DEB_HOST_ARCH)))
	CRASH_REPORTER = 1
endif
ifneq (,$(filter mips%,$(DEB_HOST_ARCH)))
	CONFIGURE_FLAGS += --disable-webrtc
endif
ifneq (,$(filter ppc64,$(DEB_HOST_ARCH)))
	CONFIGURE_FLAGS += --enable-linker=bfd
endif

ifeq (default,$(origin CC))
ifneq (,$(filter-out bullseye bookworm,$(DIST)))
CC := clang
else
ifeq ($(DIST),bookworm)
CC := gcc-11
else
CC := gcc
endif
endif
endif
ifeq (default,$(origin CXX))
ifneq (,$(filter-out bullseye bookworm,$(DIST)))
CXX := clang++
else
ifeq ($(DIST),bookworm)
CXX := g++-11
else
CXX := g++
endif
endif
endif

ifneq (,$(filter powerpc ppc64 sparc64,$(DEB_HOST_ARCH)))
	CC := gcc
	CXX := g++
endif

# When using clang, the build system uses ld.lld instead of BFD ld.
ifeq (,$(findstring clang,$(CC)))
# Reduce memory usage of the linker at the expense of processing time
# This should help on lower-end architectures like arm and mips, which
# spend an immense amount of time swapping.
LDFLAGS += -Wl,--reduce-memory-overheads
# Work around https://sourceware.org/bugzilla/show_bug.cgi?id=30566
ifeq (,$(filter i386 amd64 ppc64%,$(DEB_HOST_ARCH)))
LDFLAGS += -Wl,--no-keep-memory
endif
endif
# Also add execution time and memory usage stats in the logs
LDFLAGS += -Wl,--stats

ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
CONFIGURE_FLAGS += --disable-jit
endif

RUSTFLAGS = --remap-path-prefix=$(CURDIR)=.

EXPORTS := CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS MOZILLA_OFFICIAL RUSTFLAGS
$(call lazy,CONFIGURE_ENV,$$(foreach export,$(EXPORTS),$$(export)="$$($$(export))"))

IN_FILES := $(wildcard debian/*.in)
ifeq ($(PRODUCT_NAME),firefox)
IN_FILES := $(filter-out debian/browser.preinst.in debian/browser.postrm.in debian/$($(PRODUCT)).in,$(IN_FILES))
endif
preprocessed_filename = $(subst $(PRODUCT),$($(PRODUCT)),$(subst GRE_VERSION,$(GRE_VERSION),$(1:.in=)))
define preprocess
$(call preprocessed_filename,$(1)): $(1)
PREPROCESSED_FILES += $(call preprocessed_filename,$(1))
endef
$(foreach f,$(IN_FILES),$(eval $(call preprocess, $(f))))

GENERATED_FILES += $(PREPROCESSED_FILES) debian/l10n/$(PRODUCT)-l10n.control
debian/control: debian/rules debian/changelog debian/l10n/$(PRODUCT)-l10n.control

$(call lazy,L10N_PACKAGES,$$(foreach lang,$$(L10N_LANGS),$($(PRODUCT))-l10n-$$(call lc,$$(lang))))
$(call lazy,L10N_PACKAGES_DEPS,$$(shell echo $$(L10N_PACKAGES) | sed 's/ /, /g'))

debian/l10n/$(PRODUCT)-l10n.control: %: %.in
	PYTHONIOENCODING=utf-8 LC_ALL=C.UTF-8 $(PYTHON) debian/l10n/gen $(L10N_LANGS) > $@

$(call lazy,LIBAVCODEC,$$(shell awk -F\" '/libavcodec\.so\./ { sub(/libavcodec\.so\./,"", $$$$2); p = "libavcodec" $$$$2 " | libavcodec-extra" $$$$2; if (d) { d = d " | " p } else { d = p } } END { print d }' dom/media/platforms/ffmpeg/FFmpegRuntimeLinker.cpp))

$(PREPROCESSED_FILES): stamps/mozbuild-state
stamps/mozbuild-state::
	MOZ_OBJDIR=debian/objdir MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none $(PYTHON) ./mach python --virtualenv build -c ""

$(PREPROCESSED_FILES): VARS = GRE_VERSION PRODUCT_DOWNLOAD_NAME $(PRODUCT) $(call uc,$(PRODUCT)) $(Product) MOZ_APP_REMOTINGNAME $(SYSTEM_LIBS_VARS) SHORT_SOURCE_CHANNEL DIST MOZ_ENABLE_V4L2 CRASH_REPORTER DEB_HOST_ARCH DEB_HOST_ARCH_ENDIAN
debian/control: VARS += L10N_PACKAGES_DEPS PRODUCT LIBAVCODEC
$(PREPROCESSED_FILES):
	MOZ_OBJDIR=debian/objdir MACH_BUILD_PYTHON_NATIVE_PACKAGE_SOURCE=none $(PYTHON) ./mach python --virtualenv build python/mozbuild/mozbuild/action/preprocessor.py --marker % -Fsubstitution $(foreach var,$(VARS),-D$(var)="$($(var))" )$< -o $@

override_dh_auto_configure:

stamps/configure-check-$(PRODUCT):: stamps/configure-$(PRODUCT)
# Ensure --{with,enable}-system options properly set expected variables
# according to the definitions in the mozconfig file.
	@awk -F' *# *| *$$' ' \
	BEGIN { confs="$(foreach f,autoconf.mk emptyvars.mk,$(CURDIR)/build-$(PRODUCT)/config/$(f))" } \
	$$1 ~ /system-/ { \
		if (! $$2) { \
			print FILENAME ": Missing variable for",$$1; \

## firefox 146.0.1+build1-0ubuntu0.22.04.1~mt1+11.0trisquel128

=== debian/changelog ===
firefox (146.0.1+build1-0ubuntu0.22.04.1~mt1+11.0trisquel128) aramo; urgency=medium

  * Rebranded for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 21 Dec 2025 14:05:41 +0000

firefox (146.0.1+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (146.0.1+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 17 Dec 2025 21:24:47 +0100

firefox (146.0+build1-0ubuntu0.22.04.1~mt1) jammy; urgency=medium

  * New upstream release (146.0+build1)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 03 Dec 2025 23:36:35 +0100

=== debian/control ===
# vim:noexpandtab:
Source: firefox
Section: web
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.jammy
Build-Depends: cdbs,
	locales,
	debhelper (>= 9),
	autotools-dev,
	autoconf2.13,
	zip,
	libx11-dev,
	libx11-xcb-dev,
	libxt-dev,
	libxext-dev,
	libgtk-3-dev (>= 3.14),
	libglib2.0-dev (>= 2.42),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	icu-devtools [s390x],
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev (>= 0.4),
	libxrender-dev,
	libpulse-dev,
	nasm (>= 2.14.02),
	yasm (>= 1.1),
	unzip,
	dbus-x11,
	xvfb,
	python3 (>= 3.9),
	libaom-dev [ppc64el riscv64 s390x],
	libffi-dev (>= 3.0.9) [powerpc ppc64el s390x],
	clang-18 | clang-15,
	libclang-18-dev | libclang-15-dev,
	llvm-18-dev | llvm-15-dev,
	cargo-1.82,
	rustc-1.82,
	nodejs (>= 12.22.12)
Standards-Version: 3.9.1

Package: abrowser
Architecture: any
Depends: lsb-release,
	${misc:Depends},
	${shlibs:Depends}
Recommends: ${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk3-4
Provides: www-browser,
	iceweasel, firefox,
	gnome-www-browser,
	${app:Provides}
Suggests: webext-ublock-origin,
	fonts-lyx,
	${support:Suggests}
Breaks: ${transitional:Breaks}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: Safe and easy web browser from Mozilla by Trisquel
 Abrowser delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: abrowser-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	abrowser (= ${binary:Version})
Provides: ${app:Provides}
Conflicts: ${app:Conflicts},
Description: Safe and easy web browser from Mozilla by Trisquel - debug symbols
 Abrowser delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the debugging symbols for the Abrowser web
 browser

Package: abrowser-dev
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Safe and easy web browser from Mozilla by Trisquel - development files
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: abrowser-mozsymbols
Architecture: amd64 i386
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends},
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Mozilla by Trisquel - Breakpad symbols
 Abrowser delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Abrowser symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: abrowser-geckodriver
Architecture: any
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	abrowser (= ${binary:Version})
Description: Safe and easy web browser from Mozilla by Trisquel - geckodriver
 Abrowser delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains geckodriver, a proxy for using W3C WebDriver-compatible
 clients (such as selenium) to interact with Gecko-based browsers. See
 https://firefox-source-docs.mozilla.org/testing/geckodriver/ for details.

# Transitional packages below here

# Language packs below here

Package: abrowser-locale-af
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-af-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-af
Description: Afrikaans language pack for Abrowser
 This package contains Afrikaans translations and search plugins
 for Abrowser

Package: abrowser-locale-an
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-an-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-an
Description: Aragonese language pack for Abrowser
 This package contains Aragonese translations and search plugins
 for Abrowser

Package: abrowser-locale-ar
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ar-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-ar
Description: Arabic language pack for Abrowser
 This package contains Arabic translations and search plugins
 for Abrowser

Package: abrowser-locale-as
Architecture: any
Depends: ${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Transitional package for unavailable language
 This language is unavailable for the current version of Abrowser
 .
 This is an empty transitional package to ensure a clean upgrade
 process. You can safely remove this package after installation.

Package: abrowser-locale-ast
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ast-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-ast
Description: Asturian language pack for Abrowser
 This package contains Asturian translations and search plugins
 for Abrowser

Package: abrowser-locale-az
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-az-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-az
Description: Azerbaijani language pack for Abrowser
 This package contains Azerbaijani translations and search plugins
 for Abrowser

Package: abrowser-locale-be
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-be-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-be
Description: Belarusian language pack for Abrowser
 This package contains Belarusian translations and search plugins
 for Abrowser

Package: abrowser-locale-bg
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bg-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-bg
Description: Bulgarian language pack for Abrowser
 This package contains Bulgarian translations and search plugins
 for Abrowser

Package: abrowser-locale-bn
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bn-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-bn
Description: Bengali language pack for Abrowser
 This package contains Bengali translations and search plugins
 for Abrowser

Package: abrowser-locale-br
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-br-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-br
Description: Breton language pack for Abrowser
 This package contains Breton translations and search plugins
 for Abrowser

Package: abrowser-locale-bs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bs-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-bs
Description: Bosnian language pack for Abrowser
 This package contains Bosnian translations and search plugins
 for Abrowser

Package: abrowser-locale-ca
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ca-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-ca
Description: Catalan; Valencian language pack for Abrowser
 This package contains Catalan; Valencian translations and search plugins
 for Abrowser

Package: abrowser-locale-cak
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cak-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-cak
Description: Kaqchikel language pack for Abrowser
 This package contains Kaqchikel translations and search plugins
 for Abrowser

Package: abrowser-locale-cs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cs-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-cs
Description: Czech language pack for Abrowser
 This package contains Czech translations and search plugins
 for Abrowser

Package: abrowser-locale-csb
Architecture: any
Depends: ${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Transitional package for unavailable language
 This language is unavailable for the current version of Abrowser
 .
 This is an empty transitional package to ensure a clean upgrade
 process. You can safely remove this package after installation.

Package: abrowser-locale-cy
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cy-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-cy
Description: Welsh language pack for Abrowser
 This package contains Welsh translations and search plugins
 for Abrowser

Package: abrowser-locale-da
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-da-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-da
Description: Danish language pack for Abrowser
 This package contains Danish translations and search plugins
 for Abrowser

Package: abrowser-locale-de
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-de-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-de
Description: German language pack for Abrowser
 This package contains German translations and search plugins
 for Abrowser

Package: abrowser-locale-el
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-el-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-el
Description: Greek language pack for Abrowser
 This package contains Greek translations and search plugins
 for Abrowser

Package: abrowser-locale-en
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-en-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-en
Description: English language pack for Abrowser
 This package contains English translations and search plugins
 for Abrowser

Package: abrowser-locale-eo
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-eo-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-eo
Description: Esperanto language pack for Abrowser
 This package contains Esperanto translations and search plugins
 for Abrowser

Package: abrowser-locale-es
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-es-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-es
Description: Spanish; Castilian language pack for Abrowser
 This package contains Spanish; Castilian translations and search plugins
 for Abrowser

Package: abrowser-locale-et
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-et-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-et
Description: Estonian language pack for Abrowser
 This package contains Estonian translations and search plugins
 for Abrowser

Package: abrowser-locale-eu
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-eu-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-eu
Description: Basque language pack for Abrowser
 This package contains Basque translations and search plugins
 for Abrowser

Package: abrowser-locale-fa
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-fa-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-fa
Description: Persian language pack for Abrowser
 This package contains Persian translations and search plugins
 for Abrowser

Package: abrowser-locale-fi
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-fi-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-fi
Description: Finnish language pack for Abrowser
 This package contains Finnish translations and search plugins
 for Abrowser

Package: abrowser-locale-fr
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-fr-base
Conflicts: ${app:Conflicts}
Provides: firefox-locale-fr
Description: French language pack for Abrowser

## firefox 146.0.1+linuxmint1+virginia

=== debian/changelog ===
firefox (146.0.1+linuxmint1+virginia) unstable; urgency=medium

  * 146.0.1

 -- Linux Mint <root@linuxmint.com>  Thu, 18 Dec 2025 18:19:38 +0000

firefox (146.0+linuxmint1) unstable; urgency=medium

  * 146.0

 -- Linux Mint <root@linuxmint.com>  Tue, 09 Dec 2025 14:33:07 +0000

## firefox 146.0.1+linuxmint1+zena

=== debian/changelog ===
firefox (146.0.1+linuxmint1+zena) unstable; urgency=medium

  * 146.0.1

 -- Linux Mint <root@linuxmint.com>  Thu, 18 Dec 2025 18:19:38 +0000

## firefox 147.0~linuxmint1+faye

=== debian/changelog ===
firefox (147.0~linuxmint1+faye) unstable; urgency=medium

  * 147.0

 -- Linux Mint <root@linuxmint.com>  Tue, 13 Jan 2026 14:14:18 +0000

firefox (146.0.1~linuxmint1) unstable; urgency=medium

  * 146.0.1

 -- Linux Mint <root@linuxmint.com>  Thu, 18 Dec 2025 18:54:35 +0000

## firefox 147.0~linuxmint1+gigi

=== debian/changelog ===
firefox (147.0~linuxmint1+gigi) unstable; urgency=medium

  * 147.0

 -- Linux Mint <root@linuxmint.com>  Tue, 13 Jan 2026 14:14:18 +0000

## firefox 147.0~mozillabinaries

=== debian/changelog ===
firefox (147.0~mozillabinaries-1mx25+1) mx; urgency=medium

  * Rebuild for MX-25.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 12 Jan 2026 08:58:20 -0800

## firefox 147.0~tux1

=== Makefile ===
# Manual variables
VERSION := "$(shell dpkg-parsechangelog --file debian/changelog --show-field Version | awk -F: '{print $$NF}' | awk -F~ '{print $$1}')"


# Automatic variables
ARCH    = "$(shell uname -m)"
TARBALL = "firefox-$(VERSION).tar.xz"
URL     = "https://download-installer.cdn.mozilla.net/pub/firefox/releases/$(VERSION)/linux-$(ARCH)"
SHA_URL = "https://download-installer.cdn.mozilla.net/pub/firefox/releases/$(VERSION)/SHA512SUMS"

all:
	true

clean:
	true

distclean:
	rm -rf vendor

install:
	tar \
		--extract \
		--file="vendor/$(TARBALL)" \
		--one-top-level="$(DESTDIR)/usr/lib/firefox" \
		--strip-components=1 \
		--verbose

vendor:
	rm -rf "$@.partial" "$@"
	mkdir "$@.partial"

	curl \
		-o "$@.partial/$(TARBALL)" \
		"$(URL)/en-US/$(TARBALL)"

	# SHA512SUM herunterladen und überprüfen
	curl -s "$(SHA_URL)" | grep "linux-x86_64\/en-US\/$(TARBALL)" | sed 's/linux-x86_64\/en-US\//$@.partial\//'  > "$@.partial/SHA512SUM"
	sha512sum -c "$@.partial/SHA512SUM" || (echo "Checksum verification failed!" && exit 1)

	ls -1 langpacks | while read pkg_lang; do \
		cat "langpacks/$${pkg_lang}" | while read xpi_lang; do \
			curl \
				-o "$@.partial/langpack-$${xpi_lang}@firefox.mozilla.org.xpi" \
				"$(URL)/xpi/$${xpi_lang}.xpi"; \
		done \
	done

	touch "$@.partial"
	mv -T "$@.partial" "$@"

.PHONY: all clean distclean install

=== debian/changelog ===
firefox (2:147.0~tux1) noble; urgency=medium

  * new upstream version - 147.0
  * Changelog: https://www.mozilla.org/en-US/firefox/147.0/releasenotes/

 -- TUXEDO Computers <tux@tuxedocomputers.com>  Mon, 12 Jan 2026 15:05:11 +0000

firefox (2:146.0.1~tux1) noble; urgency=medium

  * new upstream version - 146.0.1
  * Changelog: https://www.mozilla.org/en-US/firefox/146.0.1/releasenotes/

 -- TUXEDO Computers <tux@tuxedocomputers.com>  Wed, 17 Dec 2025 23:05:00 +0000

=== debian/control ===
Source: firefox
Section: web
Priority: optional
Maintainer: TUXEDO Computers <tux@tuxedocomputers.com>
Standards-Version: 4.1.1
Homepage: https://mozilla.org/firefox
Build-Depends:
  ca-certificates,
  curl,
  debhelper-compat (= 10),
  libasound2-dev,
  libdbus-glib-1-dev,
  libgtk-3-dev,

Package: firefox
Architecture: amd64
Depends: ${shlibs:Depends}
Description: Mozilla Firefox
 Firefox is a powerful, extensible web browser with support for modern
 web application technologies.

Package: firefox-locale-af
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-af-base
Description: Mozilla Firefox language pack for af

Package: firefox-locale-an
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-an-base
Description: Mozilla Firefox language pack for an

Package: firefox-locale-ar
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-ar-base
Description: Mozilla Firefox language pack for ar

Package: firefox-locale-ast
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-ast-base
Description: Mozilla Firefox language pack for ast

Package: firefox-locale-az
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-az-base
Description: Mozilla Firefox language pack for az

Package: firefox-locale-be
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-be-base
Description: Mozilla Firefox language pack for be

Package: firefox-locale-bg
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-bg-base
Description: Mozilla Firefox language pack for bg

Package: firefox-locale-bn
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-bn-base
Description: Mozilla Firefox language pack for bn

Package: firefox-locale-br
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-br-base
Description: Mozilla Firefox language pack for br

Package: firefox-locale-bs
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-bs-base
Description: Mozilla Firefox language pack for bs

Package: firefox-locale-ca
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-ca-base
Description: Mozilla Firefox language pack for ca

Package: firefox-locale-cak
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-cak-base
Description: Mozilla Firefox language pack for cak

Package: firefox-locale-cs
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-cs-base
Description: Mozilla Firefox language pack for cs

Package: firefox-locale-cy
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-cy-base
Description: Mozilla Firefox language pack for cy

Package: firefox-locale-da
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-da-base
Description: Mozilla Firefox language pack for da

Package: firefox-locale-de
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-de-base
Description: Mozilla Firefox language pack for de

Package: firefox-locale-el
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-el-base
Description: Mozilla Firefox language pack for el

Package: firefox-locale-en
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-en-base
Description: Mozilla Firefox language pack for en

Package: firefox-locale-eo
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-eo-base
Description: Mozilla Firefox language pack for eo

Package: firefox-locale-es
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-es-base
Description: Mozilla Firefox language pack for es

Package: firefox-locale-et
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-et-base
Description: Mozilla Firefox language pack for et

Package: firefox-locale-eu
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-eu-base
Description: Mozilla Firefox language pack for eu

Package: firefox-locale-fa
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-fa-base
Description: Mozilla Firefox language pack for fa

Package: firefox-locale-fi
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-fi-base
Description: Mozilla Firefox language pack for fi

Package: firefox-locale-fr
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-fr-base
Description: Mozilla Firefox language pack for fr

Package: firefox-locale-fy
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-fy-base
Description: Mozilla Firefox language pack for fy

Package: firefox-locale-ga
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-ga-base
Description: Mozilla Firefox language pack for ga

Package: firefox-locale-gd
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-gd-base
Description: Mozilla Firefox language pack for gd

Package: firefox-locale-gl
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-gl-base
Description: Mozilla Firefox language pack for gl

Package: firefox-locale-gn
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-gn-base
Description: Mozilla Firefox language pack for gn

Package: firefox-locale-gu
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-gu-base
Description: Mozilla Firefox language pack for gu

Package: firefox-locale-he
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-he-base
Description: Mozilla Firefox language pack for he

Package: firefox-locale-hi
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-hi-base
Description: Mozilla Firefox language pack for hi

Package: firefox-locale-hr
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-hr-base
Description: Mozilla Firefox language pack for hr

Package: firefox-locale-hsb
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-hsb-base
Description: Mozilla Firefox language pack for hsb

Package: firefox-locale-hu
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-hu-base
Description: Mozilla Firefox language pack for hu

Package: firefox-locale-hy
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-hy-base
Description: Mozilla Firefox language pack for hy

Package: firefox-locale-ia
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-ia-base
Description: Mozilla Firefox language pack for ia

Package: firefox-locale-id
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-id-base
Description: Mozilla Firefox language pack for id

Package: firefox-locale-is
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-is-base
Description: Mozilla Firefox language pack for is

Package: firefox-locale-it
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-it-base
Description: Mozilla Firefox language pack for it

Package: firefox-locale-ja
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-ja-base
Description: Mozilla Firefox language pack for ja

Package: firefox-locale-ka
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-ka-base
Description: Mozilla Firefox language pack for ka

Package: firefox-locale-kab
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-kab-base
Description: Mozilla Firefox language pack for kab

Package: firefox-locale-kk
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-kk-base
Description: Mozilla Firefox language pack for kk

Package: firefox-locale-km
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-km-base
Description: Mozilla Firefox language pack for km

Package: firefox-locale-kn
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-kn-base
Description: Mozilla Firefox language pack for kn

Package: firefox-locale-ko
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-ko-base
Description: Mozilla Firefox language pack for ko

Package: firefox-locale-lt
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-lt-base
Description: Mozilla Firefox language pack for lt

Package: firefox-locale-lv
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-lv-base
Description: Mozilla Firefox language pack for lv

Package: firefox-locale-mk
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-mk-base
Description: Mozilla Firefox language pack for mk

Package: firefox-locale-mr
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-mr-base
Description: Mozilla Firefox language pack for mr

Package: firefox-locale-ms
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-ms-base
Description: Mozilla Firefox language pack for ms

Package: firefox-locale-my
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-my-base
Description: Mozilla Firefox language pack for my

Package: firefox-locale-nb
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-nb-base
Description: Mozilla Firefox language pack for nb

Package: firefox-locale-ne
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-ne-base
Description: Mozilla Firefox language pack for ne

Package: firefox-locale-nl
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-nl-base
Description: Mozilla Firefox language pack for nl

Package: firefox-locale-nn
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-nn-base
Description: Mozilla Firefox language pack for nn

Package: firefox-locale-oc
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-oc-base
Description: Mozilla Firefox language pack for oc

Package: firefox-locale-pa
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-pa-base
Description: Mozilla Firefox language pack for pa

Package: firefox-locale-pl
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-pl-base
Description: Mozilla Firefox language pack for pl

Package: firefox-locale-pt
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-pt-base
Description: Mozilla Firefox language pack for pt

Package: firefox-locale-ro
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-ro-base
Description: Mozilla Firefox language pack for ro

Package: firefox-locale-ru
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-ru-base
Description: Mozilla Firefox language pack for ru

Package: firefox-locale-si
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-si-base
Description: Mozilla Firefox language pack for si

Package: firefox-locale-sk
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-sk-base
Description: Mozilla Firefox language pack for sk

Package: firefox-locale-sl
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-sl-base
Description: Mozilla Firefox language pack for sl

Package: firefox-locale-sq
Architecture: amd64
Depends: firefox (= ${binary:Version})
Replaces: language-pack-sq-base
Description: Mozilla Firefox language pack for sq

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	ischroot && make clean || make distclean
	ischroot || make vendor

override_dh_strip:

override_dh_strip_nondeterminism:
